<template>
  <div class="container-fluid number_of_projects">
    <div class="container">
      <div class="row justify-content-between">
        <div class="col-3 done_projects">
          <h2>
            <animated-number
              :value="value1"
              :formatValue="formatToPrice"
              :duration="duration"
              :delay="delay"
            />
          </h2>
          <h6>{{ $t("succed_projects") }}</h6>
        </div>
        <!--        <div class="col-3 done_projects">-->
        <!--          <h2><animated-number-->
        <!--            :value="value2"-->
        <!--            :formatValue="formatToPrice"-->
        <!--            :duration="duration"-->
        <!--            :delay="delay"-->
        <!--          /></h2>-->

        <!--          <h6>{{$t("clients")}}</h6>-->
        <!--        </div>-->
        <div class="col-3 done_projects">
          <h2>
            <animated-number
              :value="value3"
              :formatValue="formatToPrice"
              :duration="duration"
              :delay="delay"
            />
          </h2>

          <h6>{{ $t("logo_and_branding") }}</h6>
        </div>
        <div class="col-3 done_projects">
          <h2>
            <animated-number
              :value="value4"
              :formatValue="formatToPrice"
              :duration="duration"
              :delay="delay"
            />
          </h2>
          <h6>{{ $t("sites") }}</h6>
        </div>
      </div>

    </div>
  </div>
</template>
<script>
import AnimatedNumber from "animated-number-vue";


export default {
  components: {
    AnimatedNumber,
  },
  data() {
    return {
      value1: 100,
      duration: 2000,
      value2: 42,
      // duration: 3000,
      value3: 10,
      // duration: 6000,
      value4: 25,
      // duration: 4000,
      delay: 3000
    };
  },
  methods: {
    formatToPrice(value) {
      return `<h2> ${Number(value).toFixed(0)}</h1>`;
    },
  },
};
</script>
<style lang="scss">
.actives{

  border-bottom: 2px solid #81007F;
}

.last-child {
  h6 {
    margin-bottom: 16px !important;
  }
}
</style>
<style lang="scss">
* {
  font-family: "Montserrat";
}

.done_projects {
  h2 {
    text-align: center;
  }
}
</style>
